> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate workflows for a user

> Deactivates all active workflows for a user in bulk.

This endpoint may be used to perform a bulk operation such as temporarily disabling a user's account in lieu of deleting the user account if the user wants to "pause" their account.



## OpenAPI

````yaml put /users/{userId}/deactivate-workflows
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /users/{userId}/deactivate-workflows:
    put:
      summary: Deactivate workflows for a user
      description: >-
        Deactivates all active workflows for a user in bulk.


        This endpoint may be used to perform a bulk operation such as
        temporarily disabling a user's account in lieu of deleting the user
        account if the user wants to "pause" their account.
      operationId: disable-all-workflows-for-a-user
      parameters:
        - name: userId
          in: path
          description: >-
            The Id of the user you want to lookup. Returned from the Create User
            endpoint
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: Success
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Success
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````